library(raster)
library(sp)
library(sf)
library(mapview)

# Raed the .rds file (2023 NO2 diagnosis)
r <- readRDS("UK_mean_annual_regridok.rds")

#class(r)

# Convert to polygons
p <- rasterToPolygons(r, dissolve = TRUE)

# Convert from sp to sf
sf_pollution <- st_as_sf(p)

# Assign CRS
st_crs(sf_pollution) <- 4326

#mapview(sf_pollution, zcol = "var1.pred", alpha.regions = 0.6)

